package com.ffii.fhsmsc.modules.food_nutrients.req;

import jakarta.persistence.Column;

public class food_nutrientsReq {
    private Long id;
    @Column(name = "food_name")
    private String food_name;
    @Column(name = "brand")
    private String brand;
    @Column(name = "size_kg")
    private Double size_kg;
    @Column(name = "protein_percent")
    private Double protein_percent;
    @Column(name = "fat_percent")
    private Double fat_percent;
    @Column(name = "fibre_percent")
    private Double fibre_percent;
    @Column(name = "ash_percent")
    private Double ash_percent;
    @Column(name = "taurine_percent")
    private Double taurine_percent;
    @Column(name = "vitamin_a_iu_kg")
    private Integer vitamin_a_iu_kg;
    @Column(name = "vitamin_d_iu_kg")
    private Integer vitamin_d_iu_kg;
    @Column(name = "vitamin_e_mg_kg")
    private Integer vitamin_e_mg_kg;
    @Column(name = "phosphorus_percent")
    private Double phosphorus_percent;
    @Column(name = "calcium_percent")
    private Double calcium_percent;
    @Column(name = "magnesium_percent")
    private Double magnesium_percent;
    @Column(name = "methionine_percent")
    private Double methionine_percent;
    @Column(name = "moisture_percent")
    private Double moisture_percent;
    @Column(name = "omega_3_mg_kg")
    private Double omega_3_mg_kg;
    @Column(name = "omega_6_mg_kg")
    private Double omega_6_mg_kg;
    @Column(name = "vitamin_c_mg_kg")
    private Integer vitamin_c_mg_kg;
    @Column(name = "calories_kcal_kg")
    private Integer calories_kcal_kg;
    @Column(name = "food_type")
    private String food_type;
    @Column(name = "target_age_category")
    private String target_age_category;
    @Column(name = "pet")
    private String pet;
    @Column(name = "embedding_text")
    private String embedding_text;
    @Column(name = "embedding_vector")
    private String embedding_vector;
    @Column(name = "description")
    private String description;

    public Long getId() {
        return id;
    }
    public void setId(Long id) {
        this.id = id;
    }
    public String getFood_name() {
        return food_name;
    }
    public void setFood_name(String food_name) {
        this.food_name = food_name;
    }
    public String getBrand() {
        return brand;
    }
    public void setBrand(String brand) {
        this.brand = brand;
    }
    public Double getSize_kg() {
        return size_kg;
    }
    public void setSize_kg(Double size_kg) {
        this.size_kg = size_kg;
    }
    public Double getProtein_percent() {
        return protein_percent;
    }
    public void setProtein_percent(Double protein_percent) {
        this.protein_percent = protein_percent;
    }
    public Double getFat_percent() {
        return fat_percent;
    }
    public void setFat_percent(Double fat_percent) {
        this.fat_percent = fat_percent;
    }
    public Double getFibre_percent() {
        return fibre_percent;
    }
    public void setFibre_percent(Double fibre_percent) {
        this.fibre_percent = fibre_percent;
    }
    public Double getAsh_percent() {
        return ash_percent;
    }
    public void setAsh_percent(Double ash_percent) {
        this.ash_percent = ash_percent;
    }
    public Double getTaurine_percent() {
        return taurine_percent;
    }
    public void setTaurine_percent(Double taurine_percent) {
        this.taurine_percent = taurine_percent;
    }
    public Integer getVitamin_a_iu_kg() {
        return vitamin_a_iu_kg;
    }
    public void setVitamin_a_iu_kg(Integer vitamin_a_iu_kg) {
        this.vitamin_a_iu_kg = vitamin_a_iu_kg;
    }
    public Integer getVitamin_d_iu_kg() {
        return vitamin_d_iu_kg;
    }
    public void setVitamin_d_iu_kg(Integer vitamin_d_iu_kg) {
        this.vitamin_d_iu_kg = vitamin_d_iu_kg;
    }
    public Integer getVitamin_e_mg_kg() {
        return vitamin_e_mg_kg;
    }
    public void setVitamin_e_mg_kg(Integer vitamin_e_mg_kg) {
        this.vitamin_e_mg_kg = vitamin_e_mg_kg;
    }
    public Double getPhosphorus_percent() {
        return phosphorus_percent;
    }
    public void setPhosphorus_percent(Double phosphorus_percent) {
        this.phosphorus_percent = phosphorus_percent;
    }
    public Double getCalcium_percent() {
        return calcium_percent;
    }
    public void setCalcium_percent(Double calcium_percent) {
        this.calcium_percent = calcium_percent;
    }
    public Double getMagnesium_percent() {
        return magnesium_percent;
    }
    public void setMagnesium_percent(Double magnesium_percent) {
        this.magnesium_percent = magnesium_percent;
    }
    public Double getMethionine_percent() {
        return methionine_percent;
    }
    public void setMethionine_percent(Double methionine_percent) {
        this.methionine_percent = methionine_percent;
    }
    public Double getMoisture_percent() {
        return moisture_percent;
    }
    public void setMoisture_percent(Double moisture_percent) {
        this.moisture_percent = moisture_percent;
    }
    public Double getOmega_3_mg_kg() {
        return omega_3_mg_kg;
    }
    public void setOmega_3_mg_kg(Double omega_3_mg_kg) {
        this.omega_3_mg_kg = omega_3_mg_kg;
    }
    public Double getOmega_6_mg_kg() {
        return omega_6_mg_kg;
    }
    public void setOmega_6_mg_kg(Double omega_6_mg_kg) {
        this.omega_6_mg_kg = omega_6_mg_kg;
    }
    public Integer getVitamin_c_mg_kg() {
        return vitamin_c_mg_kg;
    }
    public void setVitamin_c_mg_kg(Integer vitamin_c_mg_kg) {
        this.vitamin_c_mg_kg = vitamin_c_mg_kg;
    }
    public Integer getCalories_kcal_kg() {
        return calories_kcal_kg;
    }
    public void setCalories_kcal_kg(Integer calories_kcal_kg) {
        this.calories_kcal_kg = calories_kcal_kg;
    }
    public String getFood_type() {
        return food_type;
    }
    public void setFood_type(String food_type) {
        this.food_type = food_type;
    }
    public String getTarget_age_category() {
        return target_age_category;
    }
    public void setTarget_age_category(String target_age_category) {
        this.target_age_category = target_age_category;
    }
    public String getPet() {
        return pet;
    }
    public void setPet(String pet) {
        this.pet = pet;
    }
    public String getEmbedding_text() {
        return embedding_text;
    }
    public void setEmbedding_text(String embedding_text) {
        this.embedding_text = embedding_text;
    }
    public String getEmbedding_vector() {
        return embedding_vector;
    }
    public void setEmbedding_vector(String embedding_vector) {
        this.embedding_vector = embedding_vector;
    }
    public String getDescription() {
        return description;
    }
    public void setDescription(String description) {
        this.description = description;
    }
}
